
QGIS Application - Feature request #8749

simple summarized help about how to contribute to the QGIS documentation ?

2013-10-02 07:01 AM - Pascal Boulerie

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17460

Description

Re : simple summarized help about how to contribute to the QGIS documentation ?

There is no section « About this documentation » or « If you wish to comment, improve or update the documentation ». That section would

be at the very end, not in the preamble http://www.qgis.org/en/docs/user_manual/preamble/preamble.html

At least, some simple info. I do not want to be obliged to go and document myself about python or rst or git or whatever mentioned by the

wiki https://issues.qgis.org/wiki/quantum-gis/Manual_Release_Preparation

I am not lazy. It is just that I am 45 years old, I have a Master of Science degree in GIS, I do not want to go through the hassle of advanced

informatics just to have a sentence to be changed in the doc... At that age, it is not so interesting to stay in the ICT field in operational

work, as recruiters told me recently. And my hard disk drive is full at nearly 100 % so that I have to use my computer only for desktop

applications as writing and reading (OpenOffice and FireFox and mail), and I had to borrow from my IT department a 2nd computer for

QGIS and PostGIS, and I need to wait until December to get a more recent computer (I work in a university faculty in France, if you can

imagine my current situation).

So, is there a single contact point where to report comments ?

Some way to find easily in a few seconds the link to https://github.com/qgis/QGIS-Documentation (I found the link on 

https://issues.qgis.org/wiki/quantum-gis/Manual_Writing ) or any more appropriate page, without having to search via the whole site.

For instance, to have one « dyslexical » writing be corrected here in the page README 

http://www.qgis.org/en/docs/documentation_guidelines/README.html

haedlines

headlines

Is there a single file version – for instance in PDF format – of the documentation ?

PS I will also report to the QGIS-Website issues at https://github.com/qgis/QGIS-Website/

a bug in the interface :

In the page https://issues.qgis.org/projects/quantum-gis/issues

if I add the filter Category

then in the menu Category, my choice is not applied automatically.

I have to refresh my screen using the link...
#1 - 2016-08-03 02:32 AM - Harrissou Santanna

Pascal Boulerie wrote:

At least, some simple info. I do not want to be obliged to go and document myself about python or rst or git or whatever mentioned by the wiki 

https://issues.qgis.org/wiki/quantum-gis/Manual_Release_Preparation

Not sure the informations in the wiki were for any reporter (looks more advanced). We no longer use wiki for docs matters whatever.

See http://docs.qgis.org/testing/en/docs/documentation_guidelines/index.html if you want to contribute on writing and in this case you need to learn a bit

some of those languages. If it's just about reporting issues, do it at https://github.com/qgis/QGIS-Documentation/issues as stated in 

http://qgis.org/en/site/getinvolved/development/bugreporting.html#website-and-documentation-s-reports

So, is there a single contact point where to report comments ?

Some way to find easily in a few seconds the link to https://github.com/qgis/QGIS-Documentation (I found the link on 

https://issues.qgis.org/wiki/quantum-gis/Manual_Writing ) or any more appropriate page, without having to search via the whole site.

I think links like http://qgis.org/en/site/getinvolved/document.html#write-documentation or 

http://qgis.org/en/site/getinvolved/development/bugreporting.html#website-and-documentation-s-reports are enough easy to find now

For instance, to have one « dyslexical » writing be corrected here in the page README 

http://www.qgis.org/en/docs/documentation_guidelines/README.html

haedlines

headlines

Fixed now

Is there a single file version – for instance in PDF format – of the documentation ?

Yes, this kind of page: http://docs.qgis.org/2.14/pdf/

In the page https://issues.qgis.org/projects/quantum-gis/issues

if I add the filter Category

then in the menu Category, my choice is not applied automatically.

I have to refresh my screen using the link...

worksforme

#2 - 2016-08-03 02:32 AM - Harrissou Santanna

- Status changed from Open to Closed

2025-04-27 2/3

https://issues.qgis.org/wiki/quantum-gis/Manual_Release_Preparation
http://docs.qgis.org/testing/en/docs/documentation_guidelines/index.html
https://github.com/qgis/QGIS-Documentation/issues
http://qgis.org/en/site/getinvolved/development/bugreporting.html#website-and-documentation-s-reports
https://github.com/qgis/QGIS-Documentation
https://issues.qgis.org/wiki/quantum-gis/Manual_Writing
http://qgis.org/en/site/getinvolved/document.html#write-documentation
http://qgis.org/en/site/getinvolved/development/bugreporting.html#website-and-documentation-s-reports
http://www.qgis.org/en/docs/documentation_guidelines/README.html
http://docs.qgis.org/2.14/pdf/
https://issues.qgis.org/projects/quantum-gis/issues


Moved the first part of the comment to https://github.com/qgis/QGIS-Documentation/issues/1246
https://github.com/qgis/QGIS-Documentation/issues/1246

